<?php

namespace RecruitCrm\LogicMelon\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetLoginURL StructType
 * @subpackage Structs
 */
class GetLoginURL extends AbstractStructBase
{
    /**
     * The sCultureID
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sCultureID;
    /**
     * The sAPIKey
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sAPIKey;
    /**
     * The sUsername
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sUsername;
    /**
     * The sPassword
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sPassword;
    /**
     * The sRedirectDomain
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sRedirectDomain;
    /**
     * The returnUrl
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $returnUrl;
    /**
     * Constructor method for GetLoginURL
     * @uses GetLoginURL::setSCultureID()
     * @uses GetLoginURL::setSAPIKey()
     * @uses GetLoginURL::setSUsername()
     * @uses GetLoginURL::setSPassword()
     * @uses GetLoginURL::setSRedirectDomain()
     * @uses GetLoginURL::setReturnUrl()
     * @param string $sCultureID
     * @param string $sAPIKey
     * @param string $sUsername
     * @param string $sPassword
     * @param string $sRedirectDomain
     * @param string $returnUrl
     */
    public function __construct($sCultureID = null, $sAPIKey = null, $sUsername = null, $sPassword = null, $sRedirectDomain = null, $returnUrl = null)
    {
        $this
            ->setSCultureID($sCultureID)
            ->setSAPIKey($sAPIKey)
            ->setSUsername($sUsername)
            ->setSPassword($sPassword)
            ->setSRedirectDomain($sRedirectDomain)
            ->setReturnUrl($returnUrl);
    }
    /**
     * Get sCultureID value
     * @return string|null
     */
    public function getSCultureID()
    {
        return $this->sCultureID;
    }
    /**
     * Set sCultureID value
     * @param string $sCultureID
     * @return \RecruitCrm\LogicMelon\StructType\GetLoginURL
     */
    public function setSCultureID($sCultureID = null)
    {
        // validation for constraint: string
        if (!is_null($sCultureID) && !is_string($sCultureID)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($sCultureID, true), gettype($sCultureID)), __LINE__);
        }
        $this->sCultureID = $sCultureID;
        return $this;
    }
    /**
     * Get sAPIKey value
     * @return string|null
     */
    public function getSAPIKey()
    {
        return $this->sAPIKey;
    }
    /**
     * Set sAPIKey value
     * @param string $sAPIKey
     * @return \RecruitCrm\LogicMelon\StructType\GetLoginURL
     */
    public function setSAPIKey($sAPIKey = null)
    {
        // validation for constraint: string
        if (!is_null($sAPIKey) && !is_string($sAPIKey)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($sAPIKey, true), gettype($sAPIKey)), __LINE__);
        }
        $this->sAPIKey = $sAPIKey;
        return $this;
    }
    /**
     * Get sUsername value
     * @return string|null
     */
    public function getSUsername()
    {
        return $this->sUsername;
    }
    /**
     * Set sUsername value
     * @param string $sUsername
     * @return \RecruitCrm\LogicMelon\StructType\GetLoginURL
     */
    public function setSUsername($sUsername = null)
    {
        // validation for constraint: string
        if (!is_null($sUsername) && !is_string($sUsername)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($sUsername, true), gettype($sUsername)), __LINE__);
        }
        $this->sUsername = $sUsername;
        return $this;
    }
    /**
     * Get sPassword value
     * @return string|null
     */
    public function getSPassword()
    {
        return $this->sPassword;
    }
    /**
     * Set sPassword value
     * @param string $sPassword
     * @return \RecruitCrm\LogicMelon\StructType\GetLoginURL
     */
    public function setSPassword($sPassword = null)
    {
        // validation for constraint: string
        if (!is_null($sPassword) && !is_string($sPassword)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($sPassword, true), gettype($sPassword)), __LINE__);
        }
        $this->sPassword = $sPassword;
        return $this;
    }
    /**
     * Get sRedirectDomain value
     * @return string|null
     */
    public function getSRedirectDomain()
    {
        return $this->sRedirectDomain;
    }
    /**
     * Set sRedirectDomain value
     * @param string $sRedirectDomain
     * @return \RecruitCrm\LogicMelon\StructType\GetLoginURL
     */
    public function setSRedirectDomain($sRedirectDomain = null)
    {
        // validation for constraint: string
        if (!is_null($sRedirectDomain) && !is_string($sRedirectDomain)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($sRedirectDomain, true), gettype($sRedirectDomain)), __LINE__);
        }
        $this->sRedirectDomain = $sRedirectDomain;
        return $this;
    }
    /**
     * Get returnUrl value
     * @return string|null
     */
    public function getReturnUrl()
    {
        return $this->returnUrl;
    }
    /**
     * Set returnUrl value
     * @param string $returnUrl
     * @return \RecruitCrm\LogicMelon\StructType\GetLoginURL
     */
    public function setReturnUrl($returnUrl = null)
    {
        // validation for constraint: string
        if (!is_null($returnUrl) && !is_string($returnUrl)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($returnUrl, true), gettype($returnUrl)), __LINE__);
        }
        $this->returnUrl = $returnUrl;
        return $this;
    }
}
